Get Terminal Id Request

Last updated: 2023-06-30

TID (Terminal ID) Handling

A TID (Terminal ID) handling service facilitates the allocation of unique terminal identifiers for merchant stores and specific ECR devices. Merchants initiate the process by onboarding their stores as sub-customers under a parent customer account in the Westpay Access portal. Subsequently, merchants can request a certain number of terminals for the sub-customer account through the portal. The merchant then utilizes the POST /getTerminalIds service within their ECR application to obtain a terminal ID. This terminal ID is assigned to the provided ECR ID after submitting the corresponding store ID and ECR ID, enabling effective TID management and allocation.

TID Handling — Get Terminal ID Flow

POST
/getTerminalId

Service to provide free terminalId for storeId and ecrId

Request Body

storeIdstringrequired

Store Id, The id is used when you on-board store in the westpay access portal.

ecrIdstringrequired

ECR Id, The id is used to uniquely identify specific ECR in your store.

HTTP Status Code Summary

CodeDescription
200Get terminalId request was successful.
400Bad request format or validation failed for incorrect data formats.
401Request requires authentication, and the provided credentials are either missing, invalid, or insufficient. Send a valid merchant access token (Bearer) issued by Westpay in the Authorization header.
404If request cannot find data for provided data.
422Indicates that the server understands the request but cannot process it due to semantic errors or invalid data in the request payload.
Request
cURL
1curl -X 'POST' \
2  'https://demo-api.westpay.se/access/v2/getTerminalId' \
3  -H 'accept: text/plain' \
4  -H 'Ocp-Apim-Subscription-Key: <merchant-subscription-key>' \
5  -H 'Authorization: Bearer <access-token>' \
6  -H 'Content-Type: application/json' \
7  -d '{
8  "storeId": "<your storeId>",
9  "ecrId": "<associated ecrId>"
10}'
Response
Response
1{
2    "terminalId": "<allocated terminalId>",
3    "password": "<password>"
4}